var WebViewInit=function(){
	
}
//点击打开层
$.onload(function(){
	var touchData={x:0,y:0};
	$(document).delegate('[page]', 'click', function(e) {
		//e.preventDefault();
	});
	$(document).delegate('[page]', 'touchstart', function(e) {
        //e.preventDefault();
        var touch = e.originalEvent.touches[0] || e.originalEvent.changedTouches[0];
        touchData.x=touch.pageX;
        touchData.y=touch.pageY;

    });
	$(document).delegate('[page]', 'touchend', function(e) {
        //e.preventDefault();
        var touch = e.originalEvent.touches[0] || e.originalEvent.changedTouches[0];

        if (touchData.x == touch.pageX && touchData.y == touch.pageY) {
            if ($(this).attr('page') != null && $(this).attr('js-href') != null && $(this).attr('js-href') != '') {
                if (cloud.config.os == 'app') {
                    clickPage(this, null, function(page) {

                        $.ui.webview.set(page, 'WebViewInit()');
                    });
                } else {
                    location.href = $(this).attr('js-href');
                }
            }
            touchData = { x: 0, y: 0 };
        }
    });
    if (cloud.config.os == 'app') {
        if (plus.device.vendor == "Apple") {
            $('[page-back]').bind('touchend',function(e) {
                e.preventDefault();
                $.ui.key.back(-1);
            });
        } else {
            $(document).delegate('[page-back]', 'touchend', function(e) {
                e.preventDefault();
                $.ui.key.back(-1);
            });
        }
    } else {
        $(document).delegate('[page-back]', 'click', function(e) {
            e.preventDefault();
            history.go(-1);
        });
        
    }
    $(document).delegate('[js-open]', 'touchend', function(e) {
        e.preventDefault();
        if (cloud.config.os == 'app') {
            $.ui.app.open.web($(this).attr('js-href'));
        }
        else {
            location.href = $(this).attr('js-href');
        }
    });
    
    $(document).delegate('[js-long]', 'touchstart', function(e) {
        e.preventDefault();
        var pro=this;
        var attr=$(this).attr('js-long');
		var data={};
		if(attr!='')data=$.toJs(attr);
		var time= data.time || 1.2;
        if(this['isLong'])return;
		this['isLong']=true;
		var longTime=setTimeout(function(){
			clearTimeout(longTime);
			data.callback && data.callback(pro);
		},time*1000);
		this['longTime']=longTime;

    });
	$(document).delegate('[js-long]', 'touchend', function(e) {
        e.preventDefault();
        this['isLong']=false;
		clearTimeout(this['longTime'])
    });
    $(document).delegate('[js-close]', 'touchend', function(e) {
        if(e.target==this){
		  $(this).hide();
		}
    });
})

//返回键
$.onload(function() {
    if (cloud.config.os == 'app') {
        $.ui.key.back(); //返回键
    }
});
function closeLoading(){
	$('[loading]').animate({opacity:0},1000,function(){
		$('[loading]').hide();
	});
}
function showLoading(){
	$('[loading]').show().css({opacity:0}).animate({opacity:100},1000);
}
function initAttr(data){
	for(var key in data){
		var obj=$('[init-attr="'+key+'"]');
		if(obj.length>0){
			if(obj.is('img'))obj.attr('src',data[key]);
			else if(obj.is('input'))obj.val(data[key]);
			else if(obj.is('select'))obj.val(data[key]);
			else obj.html(data[key]);
		}
	}
}
//切换
function initTab(callback,isInit){
	$('[js-tab]').each(function(){
		var pro=this;
		if(!$(this).attr('isBind')){
			$(this).attr('isBind',1);
			var data=$.toJs($(this).attr('js-tab'));
			var css=data.css || 'on';
			var list=$(this).find('[js-for]');
			var clickFun=function(obj){
				
				list.removeClass(data.css);  
				list.each(function(){
					if($(this).attr('js-for')!='')$($(this).attr('js-for')).hide();
				})
				$(obj).addClass(data.css);
				var forid=$(obj).attr('js-for');
				if(forid!='')$(forid).show();
				if(data.synid){
					$(data.synid).find('[js-for="'+forid+'"]').addClass(data.css).siblings().removeClass(data.css);;
				}
				callback && callback(obj);
				
			}
			list.bind('touchend',function(){
				clickFun(this);
			});
			if(isInit!=1){
				var num= data.num || 0;
				clickFun($(this).find('[js-for]:eq('+num+')').get(0));
			}
		}
	})
	
}
//多线程
var threadClass=function(pics,num,start,process,end){
	this.pics=pics;
	this.num=num;
	this.length=this.pics.length;
	if(this.length<this.num)this.num=this.length;
	this.start=start;
	this.process=process;
	this.end=end;
	this.picData={};
	this.getData();
	this.init();
}
threadClass.prototype={
	init:function(){
		this.start();
		var n=(this.length-this.length%this.num)/this.num;
		//$.write(n)
		for(var i=0;i<this.num;i++){
			en=(i+1)*n;
			if(i==this.num-1)en=this.length;
			this.thread(i*n,en);
		}
	}
	,thread:function(sn,en){
		//$.write('进度:'+sn+':'+en)
		var pro=this;
		if(sn>=en){
			this.setData();
			this.end(this.getBl(),this.pics);
			return;
		}
		this.process(this.pics[sn],this.getBl(),function(path){
			pro.picData[sn+'']=path;
			sn+=1;
			pro.thread(sn,en);
		})
	}
	,getData:function(){
		for(var i=0;i<this.length;i++){
			this.picData[i+'']=this.pics[i];
		}
	}
	,setData:function(){
		for(var key in this.picData){
			this.pics[key-0]=this.picData[key];
		}
	}
	,getBl:function(){
		var num=0;
		for(var key in this.picData){
			if(this.picData[key].indexOf('http://')>-1)num+=1;;
		}
		return Math.round(num/this.length*100);
	}
}
var PageData={
	path:'http://www.jvhaowan.com/'
	,path2:'http://www.jvhaowan.com'
	
}


