$.share={
	shares:{}
	,init :function(){
		plus.share.getServices( function(s){
			for(var i in s){
				var t=s[i];
				$.share.shares[t.id]=t;
			}
		}, function(e){
			$.write( "获取分享服务列表失败："+e.message );
		} );
	}
	//$.share.show(0,{con:'',pic:''})
	,show :function(key,data){
		var ids=[{id:"weixin",ex:"WXSceneSession"},{id:"weixin",ex:"WXSceneTimeline"},{id:"sinaweibo"},{id:"tencentweibo"}]
		//var bts=[{title:"发送给微信好友"},{title:"分享到微信朋友圈"},{title:"分享到新浪微博"},{title:"分享到腾讯微博"}];
		
		var id=ids[key].id;
		var ex=ids[key].ex;
		$.share.action(id,ex,data,0);
	}
	//$.share.href(0,{con:'',href:'',title:''})
	,href:function(key,data){
		var ids=[{id:"weixin",ex:"WXSceneSession"},{id:"weixin",ex:"WXSceneTimeline"},{id:"qq"}];
		//var bts=[{title:"发送给微信好友"},{title:"分享到微信朋友圈"},{title:"分享到QQ"}];
		var id=ids[key].id;
		var ex=ids[key].ex;
		$.share.action(id,ex,data,1);
	}
	,action:function(id,ex,data,isherf){
		var s=null;
		$.write( "分享操作：" );
		if(!id||!(s=$.share.shares[id])){
			$.write( "无效的分享服务！" );
			return;
		}
		if ( s.authenticated ) {
			$.write( "---已授权---" );
			$.share.shareMessage(s,ex,data,isherf);
		} else {
			$.write( "---未授权---" );
			s.authorize( function(){
					$.share.shareMessage(s,ex,data,isherf);
				},function(e){
				$.write( "认证授权失败："+e.code+" - "+e.message );
			});
		}
	}
	//data={con:'',href:'',title:'',pic:''}
	,shareMessage :function(s,ex,data,isherf){
		var msg={content:data.con,extra:{scene:ex}};
		if(isherf){
			msg.href=data.href;
			if(data.title&&data.title!=""){
				msg.title=data.title;
			}
			if(data.con&&data.con!=""){
				msg.content=data.con;
			}
			msg.thumbs=[data.pic];
			msg.pictures=[data.pic];
		}else{
			msg.href=data.href;
			if(data.pic&&data.pic!=''){
				msg.pictures=[data.pic];
			}
		}
		$.write(JSON.stringify(msg));
		s.send( msg, function(){
			$.ui.panel.toast("分享到\""+s.description+"\"成功！ " );
			$.write( "分享到\""+s.description+"\"成功！ " );
		}, function(e){
			$.ui.panel.toast("分享到\""+s.description+"\"失败: "+e.code+" - "+e.message );
			$.write( "分享到\""+s.description+"\"失败: "+e.code+" - "+e.message );
		} );
	}
	,cancelAuth :function(){
		try{
		$.write( "解除授权：" );
		for ( var i in $.share.shares ) {
			var s = $.share.shares[i];
			if ( s.authenticated ) {
				$.write( "取消\""+s.description+"\"");
			}
			s.forbid();
		}
		// 取消授权后需要更新服务列表
		$.share.init();
		$.write( "操作成功！" );}catch(e){$.write(e);}
	}
}
$.onload(function(){
	$.share.init();
})